/* *
 * This file is part of libnemesi
 *
 * Copyright (C) 2007 by LScube team <team@streaming.polito.it>
 * See AUTHORS for more details
 *
 * libnemesi is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * libnemesi is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with libnemesi; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 *
 * */

#include <string.h>

#include "nemesi/version.h"
#include "nemesi/comm.h"

#include <pthread.h>

inline void nms_header(void)
{
    nms_printf(NMSML_ALWAYS,
           "\n" NMSCLR_BLUE_BOLD "%s - %s -- release %s (%s)\n\n"
           NMSCLR_DEFAULT, PROG_NAME, PROG_DESCR, VERSION, VERSION_NAME);
}

int thread_isvalid(pthread_t p)
{
#ifdef WIN32
     return p.p;
#else
     return p;
#endif
}

void thread_invalidate(pthread_t * p)
{
#ifdef WIN32
     p->p = 0;
#else
     *p = 0;
#endif
}

int thread_getuid(pthread_t p)
{
    return thread_isvalid(p);
}
